describe('Login Button Tests', () => {
  const buttonSelector = '#login_btn';

  beforeEach(() => {
    cy.visit('https://shibboleth.utb.cz/idp/profile/SAML2/Redirect/SSO?execution=e1s1');
  });

  it('Clicking on the button triggers the login process', () => {
    cy.get(buttonSelector).click();
  });

  it('Verify that the button text changes to "Přihlašování probíhá..." when clicked', () => {
    cy.get(buttonSelector).click().should('have.text', 'Přihlašování probíhá...');
  });

  it('Verify that clicking on the button multiple times does not cause unexpected behavior', () => {
    cy.get(buttonSelector).click().click().click().should('have.text', 'Přihlašování probíhá...');
  });
});
// how to run the test

// npx cypress run --spec "cypress/integration/TestCraft.js" --headed


